import { type Config } from '@pnpm/config';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare function rcOptionsTypes(): Pick<any, never>;
export declare const cliOptionsTypes: () => {
    'fix-lockfile': BooleanConstructor;
    'resolution-only': BooleanConstructor;
    recursive: BooleanConstructor;
};
export declare const shorthands: {
    D: string;
    P: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export type InstallCommandOptions = Pick<Config, 'allProjects' | 'autoInstallPeers' | 'bail' | 'bin' | 'cliOptions' | 'deployAllFiles' | 'depth' | 'dev' | 'engineStrict' | 'frozenLockfile' | 'global' | 'globalPnpmfile' | 'hooks' | 'ignorePnpmfile' | 'ignoreScripts' | 'linkWorkspacePackages' | 'rawLocalConfig' | 'lockfileDir' | 'lockfileOnly' | 'modulesDir' | 'pnpmfile' | 'preferFrozenLockfile' | 'production' | 'registries' | 'save' | 'saveDev' | 'saveExact' | 'saveOptional' | 'savePeer' | 'savePrefix' | 'saveProd' | 'saveWorkspaceProtocol' | 'lockfileIncludeTarballUrl' | 'allProjectsGraph' | 'selectedProjectsGraph' | 'sideEffectsCache' | 'sideEffectsCacheReadonly' | 'sort' | 'sharedWorkspaceLockfile' | 'tag' | 'optional' | 'virtualStoreDir' | 'workspaceConcurrency' | 'workspaceDir' | 'extraEnv' | 'resolutionMode' | 'ignoreWorkspaceCycles'> & CreateStoreControllerOptions & {
    argv: {
        original: string[];
    };
    fixLockfile?: boolean;
    useBetaCli?: boolean;
    pruneDirectDependencies?: boolean;
    pruneStore?: boolean;
    recursive?: boolean;
    resolutionOnly?: boolean;
    saveLockfile?: boolean;
    workspace?: boolean;
    includeOnlyPackageFiles?: boolean;
    confirmModulesPurge?: boolean;
} & Partial<Pick<Config, 'modulesCacheMaxAge' | 'pnpmHomeDir' | 'preferWorkspacePackages'>>;
export declare function handler(opts: InstallCommandOptions): Promise<void>;
